/**
  * ADG formatting for awesome icons
  *
  * Can be overloaded by a style sheet called _awesome{_style}.css
  *
  * @author KMN
  * @since 09/04/2014
  */

/*
 * Standard check, used everywhere
 */
.fa-adg-check {
	/* color:black; */
	color: var(--color-text);

}

/*
 * Warning triangle, yellow doesn't work very well
 */
.fa-adg-warning {
	color:orange;
}

/*
 * Circle for error with exclamation mark in it
 */
.fa-adg-exclamation-circle {
	color:red;
}

/*
 * Document types
 * These colors are based on the microsoft icons in windows 8  
 */
 .fa-adg-file-o {
	background:white;
	color:black;
}

.fa-adg-shield {
	background:white;
	color:blue;
}

.fa-adg-sql {
	background:white;
	color:blue;
}

.fa-adg-file-pdf-o {
	background:#AE0808;
	color:white;
	cursor:pointer;
}

.fa-adg-file-zip-o {
	background:#F9EE9F;
	color:silver;
}

.fa-adg-file-excel-o {
	background:#128023;
	color:white;
}

.fa-adg-file-word-o {
	background:#2B579A;
	color:white;
}

.fa-adg-file-powerpoint-o {
	background:#D24726;
	color:white;
}

.fa-adg-file-photo-o {
	background:#008299;
	color:white;
}

.fa-adg-toggle {
	cursor:pointer;
}

/*
 * Grid use edit/delete icons
 */
.fa-adg-edit {
	cursor:pointer;
	padding-left:3px;
}
.fa-adg-trash {
	cursor:pointer;
	padding-left:3px;
}

.fa-adg-plus {
	cursor:pointer;
	padding-left:3px;
}

.fa-adg-list {
	cursor:pointer;
	padding-left:3px;
}

.fa-adg-play-circle {
	cursor:pointer;
	padding-left:3px;
}
.fa-adg-external-link {
	cursor:pointer;
	padding-left:3px;
}